﻿using System.Net;

namespace NetBootServerCore.Components.DDNS.Providers;

public abstract class DomainProvider
{
    public abstract string GetIp(DomainConfigEntry config);

    public abstract void PutIp(DomainConfigEntry config, string ip);

    protected HttpClient CreateHttpClient(DomainConfigEntry entry) => entry.HttpProxy != null
            ? new HttpClient(new HttpClientHandler { Proxy = new WebProxy(entry.HttpProxy) })
            : new HttpClient();
}